"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const firebaseBase_1 = __importDefault(require("./firebaseBase"));
class Firebase extends firebaseBase_1.default {
    constructor(options) {
        super({
            db: options.db
        });
        this.db = options.db;
    }
    getServerTimestamp() {
        return this.db.FieldValue.serverTimestamp();
    }
    add(entity) {
        return this.chain.add(entity);
    }
    set(entity) {
        return this.chain.set(entity);
    }
    update(entity) {
        return this.chain.update(entity);
    }
    delete() {
        return this.chain.delete();
    }
}
exports.default = Firebase;
//# sourceMappingURL=FirebaseServer.js.map